/*****************************************************************************
 * Copyright 2016-2017 Karolin Stange, Christoph Wick, and Haye Hinrichsen
 *
 * This file is part of JustIntonation.
 *
 * JustIntonation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * JustIntonation is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along 
 * with JustIntonation. If not, see http://www.gnu.org/licenses/.
 *****************************************************************************/

import QtQuick 2.3
import QtQuick.Controls 1.3
import QtQuick.Controls.Styles 1.4


ToolButton{
    id: xtoolbutton
    property alias source: img.source
    property int radius: height/2
    property bool highlighted: false
    property bool activated: false
    implicitWidth: parent.height
    implicitHeight: parent.height
    Image {
        id: img
        asynchronous: true
        smooth: true
        mipmap: true
        anchors.fill: parent
        anchors.margins: pressed ? 0 : parent.height*0.05
    }
    style: ButtonStyle {
        background: Rectangle {
            implicitWidth: 100
            implicitHeight: 25
            border.width: control.activeFocus ? 2 : 1
            color: highlighted ? "green" : "white"
            border.color: "white"
            opacity: activated |highlighted ? 1 : 0.6
            visible: hovered | highlighted | activated
            radius: xtoolbutton.radius
        }
    }
}
