/*****************************************************************************
 * Copyright 2016-2017 Karolin Stange, Christoph Wick, and Haye Hinrichsen
 *
 * This file is part of JustIntonation.
 *
 * JustIntonation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * JustIntonation is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with JustIntonation. If not, see http://www.gnu.org/licenses/.
 *****************************************************************************/

//=============================================================================
//                              Open File Dialog
//=============================================================================


#include "fileopendialog.h"

 #include <QFileDialog>

//-----------------------------------------------------------------------------
//                                  Constructor
//-----------------------------------------------------------------------------
///////////////////////////////////////////////////////////////////////////////
/// \brief Constructor
///////////////////////////////////////////////////////////////////////////////

FileOpenDialog::FileOpenDialog()
{

}


//-----------------------------------------------------------------------------
//                          Open file open dialog
//-----------------------------------------------------------------------------
///////////////////////////////////////////////////////////////////////////////
/// \brief Private slot: Open file open dialog
///////////////////////////////////////////////////////////////////////////////

void FileOpenDialog::open(int width, int height)
{
    LOGSTATUS << "Open file open dialog" << width << height;
    QString fileName = QFileDialog::getOpenFileName(nullptr,
        tr("Please choose a Midi file"), "", tr("Midi files (*.mid *.midi *.MID)"));
    LOGMESSAGE << "Open file" << fileName;
    emit openFile(fileName,true);
}

