#!/bin/bash
#
# Script to build the release version of the project under Linux
#
# Arguments:
# $1: path to qmake (e.g. $HOME/Software/Qt/5.7/gcc_64/bin/)
# $2: Project directory
# $3: Build directory 
#
echo
echo Rebuild project:
echo ===============
echo "Qt path:      "$1
echo "Project path: "$2
echo "Release path: "$3
echo
echo 1. Remove old build
mkdir -p $3
echo rm -f -r $3/application
rm -f -r $3/application
echo rm -f $3/Makefile
rm -f $3/Makefile
echo
echo 2. Run qmake
cd $3
echo $1/bin/qmake $2/justintonation.pro -r -spec macx-clang
$1/bin/qmake $2/justintonation.pro -r -spec macx-clang
echo 4. Run make
make -j8
echo 5. Run make clean
make clean
echo END
