# Read the version from config.h

echo "Reading the actual version from config.h"

set -e

cd $(dirname $0)
cd ../..

if [ -z "$JUSTINTONATION_BASE_DIR" ] ; then
	export JUSTINTONATION_BASE_DIR=$PWD
fi

# echo "Found base directory $JUSTINTONATION_BASE_DIR"

# read version from version.h
versionfile="$JUSTINTONATION_BASE_DIR/application/config.h"
if [ -f "$versionfile" ]
then
	echo "$versionfile found."
else
	echo "$versionfile not found."
	exit 1
fi

# Isolate version content and date

versioncontents=`cat $versionfile`
reVersionString="INT_APPLICATION_VERSION[[:space:]]+\"([0-9\.]+)\""
reVersionRolling="INT_ROLLING_APPLICATION_VERSION[[:space:]]+([0-9]+)"

# echo $versioncontents
# echo $reVersionString
# echo $reVersionRolling


releaseDate=$(date +"%Y-%m-%d")


if [[ $versioncontents =~ $reVersionString ]]; then
    export versionString=${BASH_REMATCH[1]}
    echo "Detected version: $versionString"
fi

if [[ $versioncontents =~ $reVersionRolling ]]; then
    export versionRolling=${BASH_REMATCH[1]}
    echo "Detected rolling version: $versionRolling"
fi

