#!/bash/bin
# Script for generating a Linux installer
#
# Download: http://download.qt.io/official_releases/qt-installer-framework/
#
echo
echo "========= OSX INSTALLATION SCRIPT ============"
echo
#echo "To see which dynamic libraries are needed just type objdump -p justintonation"
#echo "To see the corresponding locations on hdd just type ldd justintonation"

# Update these lines:
FRAMEWORK=$HOME/Qt/Tools/QtInstallerFramework/2.0/bin
SYSDLLPATH=/usr/lib64
QTPATH=$HOME/Qt/5.8/clang_64
SOURCEPATH=$HOME/Documents/JustIntonation
BUILDPATH=$HOME/build
RELEASEPATH=$BUILDPATH/build-justintonation-Desktop_Qt_5_8_0_clang_64bit-Release
QMLDIR=$SOURCEPATH/application/resources/qml
TARGETURL='u81468700@s582786137.online.de:justintonation/download/Resources/Public/Downloads'

##################################################################################

echo
echo "Installer script for Opensuse Linux GCC"

##################################################################################

echo
echo "Build the application"
bash build-macosx.sh $QTPATH $SOURCEPATH $RELEASEPATH
echo

##################################################################################

echo “Deploying via macdeployqt…”
cd $RELEASEPATH/application
$QTPATH/bin/macdeployqt justintonation.app -qmldir=$QMLDIR -dmg -appstore-compliant
echo "done"

##################################################################################

# Copy to repository
echo
echo rsync installer to server:
echo rsync -avuz $RELEASEPATH/application/justintonation.dmg $TARGETURL/.
rsync -avuz $RELEASEPATH/application/justintonation.dmg $TARGETURL/.
echo
echo "DONE"
echo
exit

##################################################################################
