@echo off
echo.
echo Publish Windows Universal App
echo =============================


rem Type the following:
rem cd c:\git\
rem publish-universal-windows.bat
rem
rem qmake -tp vc justintonation.pro "CONFIG=windeployqt"

rem ======================================================================
set QTPATH=C:\Qt\5.8\winrt_x64_msvc2015\bin
set BUILDPATH=C:\build
set SOURCEPATH=C:\git\JustIntonation
set KITPATH=C:\Program Files (x86)\Windows Kits\10\bin\x64
set RELEASEPATH=%BUILDPATH%\justintonation-Qt_5_8_0_for_Windows_Runtime_64bit-Release
set RELEASEFOLDER=%RELEASEPATH%\application\release
set SIGNTOOL=%KITPATH%\signtool.exe
set MAKEAPPX=%KITPATH%\makeappx.exe
set QMLDIR=%COPYPATH%\application\resources\qml
rem TARGETURL='u81468700@s582786137.online.de:justintonation\download\Resources\Public\Downloads'
rem ======================================================================

rem PATH=%QTPATH%;%PATH%

rem ======================================================================
echo.
echo Delete old APPX file justintonation.appx 
del %BUILDPATH%\justintonation.appx
pause
echo.
echo Copy the manifest appxmanifest.xml to %RELEASEFOLDER%
copy %SOURCEPATH%\application\platforms\windows\appxmanifest.xml %RELEASEFOLDER%
pause
rem ======================================================================


rem ======================================================================
echo.
echo Copy assets
copy  %SOURCEPATH%\application\platforms\windows\assets\*.png %RELEASEFOLDER%\assets\
pause
rem ======================================================================

rem ======================================================================
echo.
echo Generate appx
"%MAKEAPPX%" pack -d %RELEASEFOLDER% -p %BUILDPATH%\justintonation.appx
rem ======================================================================

rem ======================================================================
echo.
echo Sign the appx
"%SIGNTOOL%" sign -fd SHA256 -a -f %SOURCEPATH%\..\admin\windows\JustIntWindowsKey.pfx %BUILDPATH%\justintonation.appx
pause
rem ======================================================================


echo.
echo Check here that package was successfully created and signed
echo Go to power shell and install the app via
echo Add-AppxPackage c:\build\justintonation.appx
