#   Script for updating the version number
#

cd ${0%/*}
. ./loadVersion.sh

################################ Doxygen ##################################

echo "Updating version number in the doxyfile"
sed -i.bak "s/= \"Version [[:digit:]\.]* ([0-9]*)\"/= \"Version $versionString ($versionRolling)\"/" $JUSTINTONATION_BASE_DIR/publish/doxygen/doxyfile 

############################# Installer ##################################

echo Update version and date in the Qt installer
sed -i.bak "s/<Version>[[:digit:]\.]*<\/Version>/<Version>$versionString<\/Version>/" $JUSTINTONATION_BASE_DIR/publish/installer/config/config.xml
sed -i.bak "s/<Version>[[:digit:]\.]*<\/Version>/<Version>$versionString<\/Version>/" $JUSTINTONATION_BASE_DIR/publish/installer/packages/org.justintonation.app/meta/package.xml
sed -i.bak "s/<ReleaseDate>[[:digit:]\-]*<\/ReleaseDate>/<ReleaseDate>$releaseDate<\/ReleaseDate>/" $JUSTINTONATION_BASE_DIR/publish/installer/packages/org.justintonation.app/meta/package.xml

echo Create the version.xml file in the installer directory 
echo "# Created by updateVersion.sh
#
<?xml version=\"1.0\" encoding=\"UTF-8\"?>
<version>
	<app rolling=\"$versionRolling\" string=\"$versionString\" />
</version>" > $JUSTINTONATION_BASE_DIR/publish/installer/version.xml

############################### ANDROID ###################################

echo "Updating AndroidManifest.xml"
sed -i.bak "s/android:versionName=\"[[:digit:]\.]*\"/android:versionName=\"$versionString\"/" $JUSTINTONATION_BASE_DIR/application/platforms/android/AndroidManifest.xml
sed -i.bak "s/android:versionCode=\"[[:digit:]]*\"/android:versionCode=\"$versionRolling\"/" $JUSTINTONATION_BASE_DIR/application/platforms/android/AndroidManifest.xml


################################## IOS ####################################

# write it to Info.plist
perl -i.bak -p -000 -e 's/(<key>CFBundleShortVersionString<\/key>\s*<string>)[0-9\.]+(<\/string>)/$1$ENV{versionString}$2/' $JUSTINTONATION_BASE_DIR/application/platforms/ios/Info.plist
perl -i.bak -p -000 -e 's/(<key>CFBundleVersion<\/key>\s*<string>)[0-9\.]+(<\/string>)/$1$ENV{versionRolling}$2/' $JUSTINTONATION_BASE_DIR/application/platforms/ios/Info.plist

################################## OSX ####################################

perl -i.bak -p -000 -e 's/(<key>CFBundleShortVersionString<\/key>\s*<string>)[0-9\.]+(<\/string>)/$1$ENV{versionString}$2/' $JUSTINTONATION_BASE_DIR/application/platforms/macosx/Info.plist
perl -i.bak -p -000 -e 's/(<key>CFBundleVersion<\/key>\s*<string>)[0-9\.]+(<\/string>)/$1$ENV{versionRolling}$2/' $JUSTINTONATION_BASE_DIR/application/platforms/macosx/Info.plist

################################## WINRT ####################################

echo "Updating version number in WINRT appxmanifest.xml"
sed -i.bak "s/ Version=\"[[:digit:]\.]*.0\"/ Version=\"$versionString.0\"/" $JUSTINTONATION_BASE_DIR/application/platforms/windows/appxmanifest.xml
# There is no rolling version in the appx manifest

################################## QML ####################################

echo "Updating version number in About.qml"
sed -i.bak "s/qsTr(\"Version\") + \" [[:digit:]\.]*\"/qsTr(\"Version\") + \" $versionString\"/" $JUSTINTONATION_BASE_DIR/application/resources/qml/About.qml

################################## SUSE ####################################

echo
echo "Missing: The opensuse repository"
echo


# # write it to the openSUSE build service files
# echo "Updating openSUSE build service files"
# sed -i.bak "s/^pkgver=[[:digit:]\.]*/pkgver=$versionString/" $JUSTINTONATION_BASE_DIR/publish/openSUSE_Build_Service/PKGBUILD
# sed -i.bak "s/^Version:[[:space:][:digit:]\.]*/Version: $versionString/" $JUSTINTONATION_BASE_DIR/publish/openSUSE_Build_Service/entropypianotuner.dsc
# sed -i.bak "s/^Version:[[:space:][:digit:]\.]*/Version: $versionString/" $JUSTINTONATION_BASE_DIR/publish/openSUSE_Build_Service/entropypianotuner.spec

echo
echo "Renaming of version numbers and rolling version finished"
echo



